
;;; ensure compatibility from Emacs 21.1 to newer versions
;;; (tested with 22.0.50.1)


(require 'cl)

;; allowing 'split-string to accept one more argument than is legally defined
;; this allows older version to accept 3 arguments, so we can add a 't when using specific separators
(condition-case nil
    (split-string "abc" "a" t)
  (error
   (unless (fboundp 'some-name-for-old-split-string)
     (fset 'some-name-for-old-split-string (symbol-function 'split-string))
     (defun split-string (str &optional sep bool)
       (delete-if (lambda (s) (string= s ""))
		  (some-name-for-old-split-string str sep))))))

;; 'region-exists-p is not defined in later emacsen
(unless (fboundp 'region-exists-p)
  (defun region-exists-p ()
    (condition-case nil
        (and (region-end) (region-beginning))
      (error nil))))

;; 'toggle-truncate-lines takes no argument in emacs 21.2
;; ... see in csound-mx.el
  
(provide 'stef-elisp-compatibility)